<template src="./template.html"/>
<style scoped src="./stylesheet.scss" lang="scss"/>

<script>
    import axios from 'axios';

    export default {
        name: "ShopDetails",
        data() {
          return {
              shop: null
          }
        },
        mounted() {
            // GET SHOP DETAILS
            axios({
                method: "GET",
                "url": '/store/' + this.$route.params.shopid,
                data: {}
            }).then((response) => {
                this.shop = response.data;
            }).catch((error) => {
                this.$bvModal.msgBoxOk(error.response.data.error, {
                    title: 'Attenzione',
                    okVariant: 'primary'
                })
            });
        },
        methods: {
            backToCategory() {
                this.$router.go(-1);
            },
        }
    }
</script>
